Export contacts

Exports contacts as JSON or CSV, returning the serialized data and a count of exported records. The ids filter takes at most 1000 ids.

POST
/v1/contacts/export

Exports contacts as JSON or CSV, returning the serialized data and a count of exported records. The ids filter takes at most 1000 ids.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
ids?array<>|null
format?|null
filters?|null
fields?array<string>|null

Response Body

Success

application/json
  1. response
data*string
format*string
Value in"json""csv"
count*integer
Range0 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contacts.export({});
Example Response
{  "data": "string",  "format": "json",  "count": 0}

Related documentation